Skip to main content
GET
/
v2
/
app-resources
List App Resources
curl --request GET \
  --url https://public.api.serval.com/v2/app-resources \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "appInstanceId": "<string>",
      "resourceType": "<string>",
      "name": "<string>",
      "description": "<string>",
      "externalId": "<string>"
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

teamId
string

Filter by team ID. At least one of team_id or app_instance_id must be provided.

appInstanceId
string

Filter by app instance ID. At least one of team_id or app_instance_id must be provided.

pageSize
integer<int32>

Maximum number of results to return. Default is 10000, maximum is 10000.

pageToken
string

Token for pagination. Leave empty for the first request.

Response

Success

data
Resource · object[]

The list of resources.

nextPageToken
string | null

Token for retrieving the next page of results. Empty if no more results.